# List Top Contributors This Week GET /api/v1/community/contributors/top-week/ **GET:** List the top 5 contributors from this week in the community. Contributors are users who have published experiences (EXPERIENCE_PUBLISHED) or created AI studios (PUBLICATION_CREATED) within the last 7 days. Results are ordered by total activity count with rich activity descriptions. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/community/contributors-top-week-list ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/community/contributors/top-week/: get: operationId: contributors-top-week-list summary: List Top Contributors This Week description: >- **GET:** List the top 5 contributors from this week in the community. Contributors are users who have published experiences (EXPERIENCE_PUBLISHED) or created AI studios (PUBLICATION_CREATED) within the last 7 days. Results are ordered by total activity count with rich activity descriptions. tags: - subpackage_community parameters: - name: page in: query description: A page number within the paginated result set. required: false schema: type: integer - name: page_size in: query description: Number of results to return per page. required: false schema: type: integer responses: '200': description: List of top contributors this week content: application/json: schema: $ref: '#/components/schemas/PaginatedTopContributorList' components: schemas: TopContributor: type: object properties: id: type: integer description: Get user ID from contributor data. username: type: string description: Get username from contributor data. full_name: type: string description: Get full name from contributor data. profile_picture: type: string description: Get profile picture URL from user details. activity: type: string required: - id - username - full_name - profile_picture - activity description: |- Serializer for top contributors in the community. Works with contributor dictionary from CommunityActivityService. title: TopContributor PaginatedTopContributorList: type: object properties: count: type: integer next: type: - string - 'null' format: uri previous: type: - string - 'null' format: uri results: type: array items: $ref: '#/components/schemas/TopContributor' required: - count - results title: PaginatedTopContributorList ``` ## SDK Code Examples ```python Get top contributors from this week import requests url = "https://api.example.com/api/v1/community/contributors/top-week/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Get top contributors from this week const url = 'https://api.example.com/api/v1/community/contributors/top-week/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Get top contributors from this week package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/community/contributors/top-week/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Get top contributors from this week require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/community/contributors/top-week/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Get top contributors from this week import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/community/contributors/top-week/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Get top contributors from this week request('GET', 'https://api.example.com/api/v1/community/contributors/top-week/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Get top contributors from this week using RestSharp; var client = new RestClient("https://api.example.com/api/v1/community/contributors/top-week/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Get top contributors from this week import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/community/contributors/top-week/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```